O R G A N I C / F E R T I L I Z E R: opalis: common errors while deploying an action server

Oct 5, 2010

opalis: common errors while deploying an action server

in this post, I'm capturing a list of error messages as I run across them and documenting the problem.

 

error 2147023293 :: [0x80070643] :: fatal error during installation

this first one is a requirements issue.  however, you can't see it while you're deploying it.  as you can see below, the installation results in a failure.

image

checking the logs, it doesn't produce anything of further value.

2010\10\04 22:38:49.420 [0x80070643] <E> Error deploying Action Server to OPALIS2:

- _com_error "Fatal error during installation." "" "-2147023293"
 
however, when you check the logs on the action server you're deploying to, it becomes very evident why the installation failed to succeed (as highlighted below).
 
=== Logging started: 10/4/2010  17:38:47 ===
MSI (s) (C8:C0) [17:38:47:171]: Note: 1: 2262 2: PatchPackage 3: -2147287038
MSI (s) (C8:C0) [17:38:47:202]: Machine policy value 'DisableRollback' is 0
MSI (s) (C8:C0) [17:38:47:218]: User policy value 'DisableRollback' is 0
MSI (s) (C8:C0) [17:38:47:249]: PROPERTY CHANGE: Adding UILevel property. Its value is '2'.
MSI (s) (C8:C0) [17:38:47:280]: PROPERTY CHANGE: Adding ACTION property. Its value is 'INSTALL'.
MSI (s) (C8:C0) [17:38:47:311]: Doing action: INSTALL
Action start 17:38:47: INSTALL.
MSI (s) (C8:C0) [17:38:47:374]: Running ExecuteSequence
MSI (s) (C8:C0) [17:38:47:405]: Doing action: LaunchConditions
Action start 17:38:47: LaunchConditions.
This product requires Microsoft .Net 2.0 or higher.
MSI (s) (C8:C0) [17:38:47:483]: Product: Opalis Integration Server - Action Server -- This product requires Microsoft .Net 2.0 or higher.

Action ended 17:38:47: LaunchConditions. Return value 3.
Action ended 17:38:47: INSTALL. Return value 3.
=== Logging stopped: 10/4/2010 17:38:47 ===

if you can get away with installing .net framework 3.5, you might as well.  it will most likely be necessary in 6.3.

 

error 2147221164 :: [0x80040154] :: unable to connect to the remote machine

though this shows up in the console, it's also evident in the OISMC* logs.  here's what you may find:

2010\10\04 20:44:34.619 [0x80040154] <E> Error deploying Action Server to OPALIS2:

- Unable to connect to the remote machine with the OpalisRemotingService
- Cannot connect to the Escorter service on the remote machine
- Cannot instantiate "RemoteEscorter"
- _com_error "Class not registered" "" "-2147221164"

generally in this scenario, it's because of a deployment targeting an unsupported operating system.  usually this occurs because the operating system is x64 which is not supported until 6.3.  this blog post from the opalis team lists the new, supported platforms: http://blogs.technet.com/b/opalis/archive/2010/08/12/what-s-coming-in-the-next-opalis-release.aspx

this applies to deployment of the client console as well.

 

error [0x80070569] :: user account specified does not have rights

I'm not sure this actually requires explanation.  just make sure the account you're using for the install has the "log on as a service" permission.

2010\10\05 13:43:54.229 [0x80070569] <E> Error deploying Action Server to OPALIS2:

The user account specified for the Action Server does not have the "Log on as a service" user right granted. Please specify a user account with the proper rights or add the right to the account that was specified.
 
image